Bug 845571 - Document NM_BOND_VLAN_ENABLE in the Deployment Guide
Document NM_BOND_VLAN_ENABLE in the Deployment Guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Deployment_Guide (Show other bugs)
6.3
Unspecified Unspecified
high Severity unspecified
: rc
: 6.3
Assigned To: Stephen Wadeley
ecs-bugs
http://docs.redhat.com/docs/en-US/Red...
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 09:19 EDT by Stephen Wadeley
Modified: 2014-06-14 01:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 08:21:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Wadeley 2012-08-03 09:19:59 EDT
Description of problem:

In BZ#804797 a new directive was introduced: NM_BOND_VLAN_ENABLED

The mechanism is that NM will now read NM_BOND_VLAN_ENABLED in /etc/sysconfig/network.  If and only if that key is present and is one of "yes", "y", or "true", will NetworkManager detect and manage bonding and vlan interfaces.

Ref: Bug 804797 - Make new NM VLAN and Bond functionality disabled-by-default
https://bugzilla.redhat.com/show_bug.cgi?id=804797

Version-Release number of selected component (if applicable):

Red_Hat_Enterprise_Linux-Deployment_Guide-6-en-US-3-1
  
Actual results:

The Deployment Guide was not updated with this new directive in time for the release of Red Hat Enterprise Linux 6.3

Expected results:

The Network Interfaces chapter should document this change in the Ethernet Interfaces section. http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html-single/Deployment_Guide/index.html#s2-networkscripts-interfaces-eth0

= =
Comment 2 Stephen Wadeley 2012-08-03 10:14:39 EDT
 A note has been added as follows:

The NM_CONTROLLED directive is now, as of Red Hat Enterpise Linux 6.3, dependent on the NM_BOND_VLAN_ENABLED directive in /etc/sysconfig/network. If and only if that directive is present and is one of yes, y, or true, will NetworkManager detect and manage bonding and VLAN interfaces.
Comment 10 Thiha 2014-04-07 05:46:54 EDT
Hi, 

I would like to know.

If I have disabled the "NetworkManager", Do I still need to set NM_BOND_VLAN_ENABLED=yes in file /etc/sysconfig/network?
Comment 11 Mustafa Muhammad 2014-06-14 01:20:38 EDT
(In reply to Thiha from comment #10)
> Hi, 
> 
> I would like to know.
> 
> If I have disabled the "NetworkManager", Do I still need to set
> NM_BOND_VLAN_ENABLED=yes in file /etc/sysconfig/network?

No, you don't need it.

Note You need to log in before you can comment on or make changes to this bug.